import{s as El,n as Al,o as zl}from"../chunks/scheduler.b108d059.js";import{S as Ul,i as jl,g as d,s as i,r as n,A as Bl,h as o,f as a,c as m,j as g,u,x as s,k as r,y as kl,a as l,v as c,d as p,t as f,w}from"../chunks/index.008de539.js";import{C as Kl}from"../chunks/CodeBlock.3968c746.js";import{H as h,E as Yl}from"../chunks/EditOnGithub.d1c48e3d.js";function Jl(Ga){let R,qe,Ye,Ne,I,Ge,$,Se,_,Sa="Helper module for image processing.",Ze,T,Za=`These functions and classes are only used internally,
meaning an end-user shouldn’t need to access anything here.`,Oe,b,Oa='<li><a href="#module_utils/image">utils/image</a><ul><li><em>static</em><ul><li><a href="#module_utils/image.RawImage">.RawImage</a><ul><li><a href="#new_module_utils/image.RawImage_new"><code>new RawImage(data, width, height, channels)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/image.RawImage+size"><code>.size</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage+grayscale"><code>.grayscale()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgb"><code>.rgb()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgba"><code>.rgba()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+resize"><code>.resize(width, height, options)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage+clone"><code>.clone()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+convert"><code>.convert(numChannels)</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+save"><code>.save(path)</code></a></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/image.RawImage.read"><code>.read(input)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage.fromURL"><code>.fromURL(url)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromBlob"><code>.fromBlob(blob)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromTensor"><code>.fromTensor(tensor)</code></a></li></ul></li></ul></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/image..CONTENT_TYPE_MAP"><code>~CONTENT_TYPE_MAP</code></a></li></ul></li></ul></li>',We,De,Ve,v,Fe,C,Qe,x,Wa='<strong>Kind</strong>: static class of <a href="#module_utils/image"><code>utils/image</code></a>',Xe,H,Da='<li><a href="#module_utils/image.RawImage">.RawImage</a><ul><li><a href="#new_module_utils/image.RawImage_new"><code>new RawImage(data, width, height, channels)</code></a></li> <li><em>instance</em><ul><li><a href="#module_utils/image.RawImage+size"><code>.size</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage+grayscale"><code>.grayscale()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgb"><code>.rgb()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+rgba"><code>.rgba()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+resize"><code>.resize(width, height, options)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage+clone"><code>.clone()</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+convert"><code>.convert(numChannels)</code></a> ⇒ <code>RawImage</code></li> <li><a href="#module_utils/image.RawImage+save"><code>.save(path)</code></a></li></ul></li> <li><em>static</em><ul><li><a href="#module_utils/image.RawImage.read"><code>.read(input)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/image.RawImage.fromURL"><code>.fromURL(url)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromBlob"><code>.fromBlob(blob)</code></a> ⇒ <code>Promise.&lt;RawImage&gt;</code></li> <li><a href="#module_utils/image.RawImage.fromTensor"><code>.fromTensor(tensor)</code></a></li></ul></li></ul></li>',et,tt,at,L,lt,y,it,P,Va="Create a new <code>RawImage</code> object.",mt,M,Fa="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Uint8ClampedArray</code> | <code>Uint8Array</code></td><td><p>The pixel data.</p></td> </tr><tr><td>width</td><td><code>number</code></td><td><p>The width of the image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td><p>The height of the image.</p></td> </tr><tr><td>channels</td><td><code>1</code> | <code>2</code> | <code>3</code> | <code>4</code></td><td><p>The number of channels.</p></td></tr></tbody>",dt,ot,st,E,rt,A,nt,z,Qa="Returns the size of the image (width, height).",gt,U,Xa='<strong>Kind</strong>: instance property of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>*</code> - The size of the image (width, height).',ut,ct,pt,j,ft,B,wt,k,el="Convert the image to grayscale format.",ht,K,tl='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',Rt,It,$t,Y,_t,J,Tt,q,al="Convert the image to RGB format.",bt,N,ll='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',vt,Ct,xt,G,Ht,S,Lt,Z,il="Convert the image to RGBA format.",yt,O,ml='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',Pt,Mt,Et,W,At,D,zt,V,dl="Resize the image to the given dimensions. This method uses the canvas API to perform the resizing.",Ut,F,ol='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - <code>this</code> to support chaining.',jt,Q,sl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>width</td><td><code>number</code></td><td><p>The width of the new image.</p></td> </tr><tr><td>height</td><td><code>number</code></td><td><p>The height of the new image.</p></td> </tr><tr><td>options</td><td><code>Object</code></td><td><p>Additional options for resizing.</p></td> </tr><tr><td>[options.resample]</td><td><code>0</code> | <code>1</code> | <code>2</code> | <code>3</code> | <code>4</code> | <code>5</code> | <code>string</code></td><td><p>The resampling method to use.</p></td></tr></tbody>",Bt,kt,Kt,X,Yt,ee,Jt,te,rl="Clone the image",qt,ae,nl='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - The cloned image',Nt,Gt,St,le,Zt,ie,Ot,me,gl="Helper method for converting image to have a certain number of channels",Wt,de,ul='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>RawImage</code> - <code>this</code> to support chaining.',Dt,oe,cl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>numChannels</td><td><code>number</code></td><td><p>The number of channels. Must be 1, 3, or 4.</p></td></tr></tbody>",Vt,Ft,Qt,se,Xt,re,ea,ne,pl="Save the image to the given path.",ta,ge,fl='<strong>Kind</strong>: instance method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',aa,ue,wl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>path</td><td><code>string</code></td><td><p>The path to save the image to.</p></td></tr></tbody>",la,ia,ma,ce,da,pe,oa,fe,hl="Helper method for reading an image from a variety of input types.",sa,we,Rl='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>*</code> - The image object.',ra,he,Il="<strong>Example:</strong> Read image from a URL.",na,Re,ga,Ie,$l="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>input</td><td><code>RawImage</code> | <code>string</code> | <code>URL</code></td></tr></tbody>",ua,ca,pa,$e,fa,_e,wa,Te,_l="Read an image from a URL or file path.",ha,be,Tl='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - The image object.',Ra,ve,bl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>url</td><td><code>string</code> | <code>URL</code></td><td><p>The URL or file path to read the image from.</p></td></tr></tbody>",Ia,$a,_a,Ce,Ta,xe,ba,He,vl="Helper method to create a new Image from a blob.",va,Le,Cl='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a><br/> <strong>Returns</strong>: <code>Promise.&lt;RawImage&gt;</code> - The image object.',Ca,ye,xl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>blob</td><td><code>Blob</code></td><td><p>The blob to read the image from.</p></td></tr></tbody>",xa,Ha,La,Pe,ya,Me,Pa,Ee,Hl="Helper method to create a new Image from a tensor",Ma,Ae,Ll='<strong>Kind</strong>: static method of <a href="#module_utils/image.RawImage"><code>RawImage</code></a>',Ea,ze,yl="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>tensor</td><td><code>Tensor</code></td></tr></tbody>",Aa,za,Ua,Ue,ja,je,Ba,Be,Pl="Mapping from file extensions to MIME types.",ka,ke,Ml='<strong>Kind</strong>: inner constant of <a href="#module_utils/image"><code>utils/image</code></a>',Ka,Ya,Ja,Ke,qa,Je,Na;return $=new h({props:{title:"utils/image",local:"utilsimage",headingTag:"h1"}}),C=new h({props:{title:"utils/image.RawImage",local:"utilsimagerawimage",headingTag:"h2"}}),y=new h({props:{title:"new RawImage(data, width, height, channels)",local:"new-rawimagedata-width-height-channels",headingTag:"h3"}}),A=new h({props:{title:"rawImage.size ⇒ <code> * </code>",local:"rawimagesize--code--code",headingTag:"h3"}}),B=new h({props:{title:"rawImage.grayscale() ⇒ <code> RawImage </code>",local:"rawimagegrayscale--code-rawimage-code",headingTag:"h3"}}),J=new h({props:{title:"rawImage.rgb() ⇒ <code> RawImage </code>",local:"rawimagergb--code-rawimage-code",headingTag:"h3"}}),S=new h({props:{title:"rawImage.rgba() ⇒ <code> RawImage </code>",local:"rawimagergba--code-rawimage-code",headingTag:"h3"}}),D=new h({props:{title:"rawImage.resize(width, height, options) ⇒ <code> Promise. < RawImage > </code>",local:"rawimageresizewidth-height-options--code-promise--rawimage--code",headingTag:"h3"}}),ee=new h({props:{title:"rawImage.clone() ⇒ <code> RawImage </code>",local:"rawimageclone--code-rawimage-code",headingTag:"h3"}}),ie=new h({props:{title:"rawImage.convert(numChannels) ⇒ <code> RawImage </code>",local:"rawimageconvertnumchannels--code-rawimage-code",headingTag:"h3"}}),re=new h({props:{title:"rawImage.save(path)",local:"rawimagesavepath",headingTag:"h3"}}),pe=new h({props:{title:"RawImage.read(input) ⇒ <code> * </code>",local:"rawimagereadinput--code--code",headingTag:"h3"}}),Re=new Kl({props:{code:"bGV0JTIwaW1hZ2UlMjAlM0QlMjBhd2FpdCUyMFJhd0ltYWdlLnJlYWQoJ2h0dHBzJTNBJTJGJTJGaHVnZ2luZ2ZhY2UuY28lMkZkYXRhc2V0cyUyRlhlbm92YSUyRnRyYW5zZm9ybWVycy5qcy1kb2NzJTJGcmVzb2x2ZSUyRm1haW4lMkZmb290YmFsbC1tYXRjaC5qcGcnKSUzQiUwQSUyRiUyRiUyMFJhd0ltYWdlJTIw",highlighted:`<span class="hljs-keyword">let</span> image = <span class="hljs-keyword">await</span> <span class="hljs-title class_">RawImage</span>.<span class="hljs-title function_">read</span>(<span class="hljs-string">&#x27;https://huggingface.co/datasets/Xenova/transformers.js-docs/resolve/v2.17.2/football-match.jpg&#x27;</span>);
<span class="hljs-comment">// RawImage </span>`,wrap:!1}}),_e=new h({props:{title:"RawImage.fromURL(url) ⇒ <code> Promise. < RawImage > </code>",local:"rawimagefromurlurl--code-promise--rawimage--code",headingTag:"h3"}}),xe=new h({props:{title:"RawImage.fromBlob(blob) ⇒ <code> Promise. < RawImage > </code>",local:"rawimagefromblobblob--code-promise--rawimage--code",headingTag:"h3"}}),Me=new h({props:{title:"RawImage.fromTensor(tensor)",local:"rawimagefromtensortensor",headingTag:"h3"}}),je=new h({props:{title:"utils/image~CONTENT_TYPE_MAP",local:"utilsimagecontenttypemap",headingTag:"h2"}}),Ke=new Yl({props:{source:"https://github.com/xenova/transformers.js/blob/v2.17.2/docs/source/api/utils/image.md"}}),{c(){R=d("meta"),qe=i(),Ye=d("p"),Ne=i(),I=d("a"),Ge=i(),n($.$$.fragment),Se=i(),_=d("p"),_.textContent=Sa,Ze=i(),T=d("p"),T.textContent=Za,Oe=i(),b=d("ul"),b.innerHTML=Oa,We=i(),De=d("hr"),Ve=i(),v=d("a"),Fe=i(),n(C.$$.fragment),Qe=i(),x=d("p"),x.innerHTML=Wa,Xe=i(),H=d("ul"),H.innerHTML=Da,et=i(),tt=d("hr"),at=i(),L=d("a"),lt=i(),n(y.$$.fragment),it=i(),P=d("p"),P.innerHTML=Va,mt=i(),M=d("table"),M.innerHTML=Fa,dt=i(),ot=d("hr"),st=i(),E=d("a"),rt=i(),n(A.$$.fragment),nt=i(),z=d("p"),z.textContent=Qa,gt=i(),U=d("p"),U.innerHTML=Xa,ut=i(),ct=d("hr"),pt=i(),j=d("a"),ft=i(),n(B.$$.fragment),wt=i(),k=d("p"),k.textContent=el,ht=i(),K=d("p"),K.innerHTML=tl,Rt=i(),It=d("hr"),$t=i(),Y=d("a"),_t=i(),n(J.$$.fragment),Tt=i(),q=d("p"),q.textContent=al,bt=i(),N=d("p"),N.innerHTML=ll,vt=i(),Ct=d("hr"),xt=i(),G=d("a"),Ht=i(),n(S.$$.fragment),Lt=i(),Z=d("p"),Z.textContent=il,yt=i(),O=d("p"),O.innerHTML=ml,Pt=i(),Mt=d("hr"),Et=i(),W=d("a"),At=i(),n(D.$$.fragment),zt=i(),V=d("p"),V.textContent=dl,Ut=i(),F=d("p"),F.innerHTML=ol,jt=i(),Q=d("table"),Q.innerHTML=sl,Bt=i(),kt=d("hr"),Kt=i(),X=d("a"),Yt=i(),n(ee.$$.fragment),Jt=i(),te=d("p"),te.textContent=rl,qt=i(),ae=d("p"),ae.innerHTML=nl,Nt=i(),Gt=d("hr"),St=i(),le=d("a"),Zt=i(),n(ie.$$.fragment),Ot=i(),me=d("p"),me.textContent=gl,Wt=i(),de=d("p"),de.innerHTML=ul,Dt=i(),oe=d("table"),oe.innerHTML=cl,Vt=i(),Ft=d("hr"),Qt=i(),se=d("a"),Xt=i(),n(re.$$.fragment),ea=i(),ne=d("p"),ne.textContent=pl,ta=i(),ge=d("p"),ge.innerHTML=fl,aa=i(),ue=d("table"),ue.innerHTML=wl,la=i(),ia=d("hr"),ma=i(),ce=d("a"),da=i(),n(pe.$$.fragment),oa=i(),fe=d("p"),fe.textContent=hl,sa=i(),we=d("p"),we.innerHTML=Rl,ra=i(),he=d("p"),he.innerHTML=Il,na=i(),n(Re.$$.fragment),ga=i(),Ie=d("table"),Ie.innerHTML=$l,ua=i(),ca=d("hr"),pa=i(),$e=d("a"),fa=i(),n(_e.$$.fragment),wa=i(),Te=d("p"),Te.textContent=_l,ha=i(),be=d("p"),be.innerHTML=Tl,Ra=i(),ve=d("table"),ve.innerHTML=bl,Ia=i(),$a=d("hr"),_a=i(),Ce=d("a"),Ta=i(),n(xe.$$.fragment),ba=i(),He=d("p"),He.textContent=vl,va=i(),Le=d("p"),Le.innerHTML=Cl,Ca=i(),ye=d("table"),ye.innerHTML=xl,xa=i(),Ha=d("hr"),La=i(),Pe=d("a"),ya=i(),n(Me.$$.fragment),Pa=i(),Ee=d("p"),Ee.textContent=Hl,Ma=i(),Ae=d("p"),Ae.innerHTML=Ll,Ea=i(),ze=d("table"),ze.innerHTML=yl,Aa=i(),za=d("hr"),Ua=i(),Ue=d("a"),ja=i(),n(je.$$.fragment),Ba=i(),Be=d("p"),Be.textContent=Pl,ka=i(),ke=d("p"),ke.innerHTML=Ml,Ka=i(),Ya=d("hr"),Ja=i(),n(Ke.$$.fragment),qa=i(),Je=d("p"),this.h()},l(e){const t=Bl("svelte-u9bgzb",document.head);R=o(t,"META",{name:!0,content:!0}),t.forEach(a),qe=m(e),Ye=o(e,"P",{}),g(Ye).forEach(a),Ne=m(e),I=o(e,"A",{id:!0,class:!0}),g(I).forEach(a),Ge=m(e),u($.$$.fragment,e),Se=m(e),_=o(e,"P",{"data-svelte-h":!0}),s(_)!=="svelte-18hbqrt"&&(_.textContent=Sa),Ze=m(e),T=o(e,"P",{"data-svelte-h":!0}),s(T)!=="svelte-il3kl8"&&(T.textContent=Za),Oe=m(e),b=o(e,"UL",{"data-svelte-h":!0}),s(b)!=="svelte-138ylq7"&&(b.innerHTML=Oa),We=m(e),De=o(e,"HR",{}),Ve=m(e),v=o(e,"A",{id:!0,class:!0}),g(v).forEach(a),Fe=m(e),u(C.$$.fragment,e),Qe=m(e),x=o(e,"P",{"data-svelte-h":!0}),s(x)!=="svelte-f7iksk"&&(x.innerHTML=Wa),Xe=m(e),H=o(e,"UL",{"data-svelte-h":!0}),s(H)!=="svelte-1fvb8wc"&&(H.innerHTML=Da),et=m(e),tt=o(e,"HR",{}),at=m(e),L=o(e,"A",{id:!0,class:!0}),g(L).forEach(a),lt=m(e),u(y.$$.fragment,e),it=m(e),P=o(e,"P",{"data-svelte-h":!0}),s(P)!=="svelte-36fe9a"&&(P.innerHTML=Va),mt=m(e),M=o(e,"TABLE",{"data-svelte-h":!0}),s(M)!=="svelte-vkeoul"&&(M.innerHTML=Fa),dt=m(e),ot=o(e,"HR",{}),st=m(e),E=o(e,"A",{id:!0,class:!0}),g(E).forEach(a),rt=m(e),u(A.$$.fragment,e),nt=m(e),z=o(e,"P",{"data-svelte-h":!0}),s(z)!=="svelte-2j0n9s"&&(z.textContent=Qa),gt=m(e),U=o(e,"P",{"data-svelte-h":!0}),s(U)!=="svelte-gwg1mu"&&(U.innerHTML=Xa),ut=m(e),ct=o(e,"HR",{}),pt=m(e),j=o(e,"A",{id:!0,class:!0}),g(j).forEach(a),ft=m(e),u(B.$$.fragment,e),wt=m(e),k=o(e,"P",{"data-svelte-h":!0}),s(k)!=="svelte-1owjjfe"&&(k.textContent=el),ht=m(e),K=o(e,"P",{"data-svelte-h":!0}),s(K)!=="svelte-11e9r18"&&(K.innerHTML=tl),Rt=m(e),It=o(e,"HR",{}),$t=m(e),Y=o(e,"A",{id:!0,class:!0}),g(Y).forEach(a),_t=m(e),u(J.$$.fragment,e),Tt=m(e),q=o(e,"P",{"data-svelte-h":!0}),s(q)!=="svelte-qyo04e"&&(q.textContent=al),bt=m(e),N=o(e,"P",{"data-svelte-h":!0}),s(N)!=="svelte-11e9r18"&&(N.innerHTML=ll),vt=m(e),Ct=o(e,"HR",{}),xt=m(e),G=o(e,"A",{id:!0,class:!0}),g(G).forEach(a),Ht=m(e),u(S.$$.fragment,e),Lt=m(e),Z=o(e,"P",{"data-svelte-h":!0}),s(Z)!=="svelte-19kp14j"&&(Z.textContent=il),yt=m(e),O=o(e,"P",{"data-svelte-h":!0}),s(O)!=="svelte-11e9r18"&&(O.innerHTML=ml),Pt=m(e),Mt=o(e,"HR",{}),Et=m(e),W=o(e,"A",{id:!0,class:!0}),g(W).forEach(a),At=m(e),u(D.$$.fragment,e),zt=m(e),V=o(e,"P",{"data-svelte-h":!0}),s(V)!=="svelte-s4dm9o"&&(V.textContent=dl),Ut=m(e),F=o(e,"P",{"data-svelte-h":!0}),s(F)!=="svelte-1jh8cjr"&&(F.innerHTML=ol),jt=m(e),Q=o(e,"TABLE",{"data-svelte-h":!0}),s(Q)!=="svelte-ya0vko"&&(Q.innerHTML=sl),Bt=m(e),kt=o(e,"HR",{}),Kt=m(e),X=o(e,"A",{id:!0,class:!0}),g(X).forEach(a),Yt=m(e),u(ee.$$.fragment,e),Jt=m(e),te=o(e,"P",{"data-svelte-h":!0}),s(te)!=="svelte-1eu6jk3"&&(te.textContent=rl),qt=m(e),ae=o(e,"P",{"data-svelte-h":!0}),s(ae)!=="svelte-1w4hta5"&&(ae.innerHTML=nl),Nt=m(e),Gt=o(e,"HR",{}),St=m(e),le=o(e,"A",{id:!0,class:!0}),g(le).forEach(a),Zt=m(e),u(ie.$$.fragment,e),Ot=m(e),me=o(e,"P",{"data-svelte-h":!0}),s(me)!=="svelte-5ze294"&&(me.textContent=gl),Wt=m(e),de=o(e,"P",{"data-svelte-h":!0}),s(de)!=="svelte-11e9r18"&&(de.innerHTML=ul),Dt=m(e),oe=o(e,"TABLE",{"data-svelte-h":!0}),s(oe)!=="svelte-1hxqxaq"&&(oe.innerHTML=cl),Vt=m(e),Ft=o(e,"HR",{}),Qt=m(e),se=o(e,"A",{id:!0,class:!0}),g(se).forEach(a),Xt=m(e),u(re.$$.fragment,e),ea=m(e),ne=o(e,"P",{"data-svelte-h":!0}),s(ne)!=="svelte-119su55"&&(ne.textContent=pl),ta=m(e),ge=o(e,"P",{"data-svelte-h":!0}),s(ge)!=="svelte-1epyezb"&&(ge.innerHTML=fl),aa=m(e),ue=o(e,"TABLE",{"data-svelte-h":!0}),s(ue)!=="svelte-1h4z9xq"&&(ue.innerHTML=wl),la=m(e),ia=o(e,"HR",{}),ma=m(e),ce=o(e,"A",{id:!0,class:!0}),g(ce).forEach(a),da=m(e),u(pe.$$.fragment,e),oa=m(e),fe=o(e,"P",{"data-svelte-h":!0}),s(fe)!=="svelte-5659h9"&&(fe.textContent=hl),sa=m(e),we=o(e,"P",{"data-svelte-h":!0}),s(we)!=="svelte-1800vfp"&&(we.innerHTML=Rl),ra=m(e),he=o(e,"P",{"data-svelte-h":!0}),s(he)!=="svelte-14z54gq"&&(he.innerHTML=Il),na=m(e),u(Re.$$.fragment,e),ga=m(e),Ie=o(e,"TABLE",{"data-svelte-h":!0}),s(Ie)!=="svelte-eqolu5"&&(Ie.innerHTML=$l),ua=m(e),ca=o(e,"HR",{}),pa=m(e),$e=o(e,"A",{id:!0,class:!0}),g($e).forEach(a),fa=m(e),u(_e.$$.fragment,e),wa=m(e),Te=o(e,"P",{"data-svelte-h":!0}),s(Te)!=="svelte-1355z3u"&&(Te.textContent=_l),ha=m(e),be=o(e,"P",{"data-svelte-h":!0}),s(be)!=="svelte-10btw3j"&&(be.innerHTML=Tl),Ra=m(e),ve=o(e,"TABLE",{"data-svelte-h":!0}),s(ve)!=="svelte-ncveta"&&(ve.innerHTML=bl),Ia=m(e),$a=o(e,"HR",{}),_a=m(e),Ce=o(e,"A",{id:!0,class:!0}),g(Ce).forEach(a),Ta=m(e),u(xe.$$.fragment,e),ba=m(e),He=o(e,"P",{"data-svelte-h":!0}),s(He)!=="svelte-1s704mu"&&(He.textContent=vl),va=m(e),Le=o(e,"P",{"data-svelte-h":!0}),s(Le)!=="svelte-10btw3j"&&(Le.innerHTML=Cl),Ca=m(e),ye=o(e,"TABLE",{"data-svelte-h":!0}),s(ye)!=="svelte-34rbhe"&&(ye.innerHTML=xl),xa=m(e),Ha=o(e,"HR",{}),La=m(e),Pe=o(e,"A",{id:!0,class:!0}),g(Pe).forEach(a),ya=m(e),u(Me.$$.fragment,e),Pa=m(e),Ee=o(e,"P",{"data-svelte-h":!0}),s(Ee)!=="svelte-nwy2y"&&(Ee.textContent=Hl),Ma=m(e),Ae=o(e,"P",{"data-svelte-h":!0}),s(Ae)!=="svelte-sl3vqa"&&(Ae.innerHTML=Ll),Ea=m(e),ze=o(e,"TABLE",{"data-svelte-h":!0}),s(ze)!=="svelte-10oxyio"&&(ze.innerHTML=yl),Aa=m(e),za=o(e,"HR",{}),Ua=m(e),Ue=o(e,"A",{id:!0,class:!0}),g(Ue).forEach(a),ja=m(e),u(je.$$.fragment,e),Ba=m(e),Be=o(e,"P",{"data-svelte-h":!0}),s(Be)!=="svelte-15u13r6"&&(Be.textContent=Pl),ka=m(e),ke=o(e,"P",{"data-svelte-h":!0}),s(ke)!=="svelte-1cwm6ga"&&(ke.innerHTML=Ml),Ka=m(e),Ya=o(e,"HR",{}),Ja=m(e),u(Ke.$$.fragment,e),qa=m(e),Je=o(e,"P",{}),g(Je).forEach(a),this.h()},h(){r(R,"name","hf:doc:metadata"),r(R,"content",ql),r(I,"id","module_utils/image"),r(I,"class","group"),r(v,"id","module_utils/image.RawImage"),r(v,"class","group"),r(L,"id","new_module_utils/image.RawImage_new"),r(L,"class","group"),r(E,"id","module_utils/image.RawImage+size"),r(E,"class","group"),r(j,"id","module_utils/image.RawImage+grayscale"),r(j,"class","group"),r(Y,"id","module_utils/image.RawImage+rgb"),r(Y,"class","group"),r(G,"id","module_utils/image.RawImage+rgba"),r(G,"class","group"),r(W,"id","module_utils/image.RawImage+resize"),r(W,"class","group"),r(X,"id","module_utils/image.RawImage+clone"),r(X,"class","group"),r(le,"id","module_utils/image.RawImage+convert"),r(le,"class","group"),r(se,"id","module_utils/image.RawImage+save"),r(se,"class","group"),r(ce,"id","module_utils/image.RawImage.read"),r(ce,"class","group"),r($e,"id","module_utils/image.RawImage.fromURL"),r($e,"class","group"),r(Ce,"id","module_utils/image.RawImage.fromBlob"),r(Ce,"class","group"),r(Pe,"id","module_utils/image.RawImage.fromTensor"),r(Pe,"class","group"),r(Ue,"id","module_utils/image..CONTENT_TYPE_MAP"),r(Ue,"class","group")},m(e,t){kl(document.head,R),l(e,qe,t),l(e,Ye,t),l(e,Ne,t),l(e,I,t),l(e,Ge,t),c($,e,t),l(e,Se,t),l(e,_,t),l(e,Ze,t),l(e,T,t),l(e,Oe,t),l(e,b,t),l(e,We,t),l(e,De,t),l(e,Ve,t),l(e,v,t),l(e,Fe,t),c(C,e,t),l(e,Qe,t),l(e,x,t),l(e,Xe,t),l(e,H,t),l(e,et,t),l(e,tt,t),l(e,at,t),l(e,L,t),l(e,lt,t),c(y,e,t),l(e,it,t),l(e,P,t),l(e,mt,t),l(e,M,t),l(e,dt,t),l(e,ot,t),l(e,st,t),l(e,E,t),l(e,rt,t),c(A,e,t),l(e,nt,t),l(e,z,t),l(e,gt,t),l(e,U,t),l(e,ut,t),l(e,ct,t),l(e,pt,t),l(e,j,t),l(e,ft,t),c(B,e,t),l(e,wt,t),l(e,k,t),l(e,ht,t),l(e,K,t),l(e,Rt,t),l(e,It,t),l(e,$t,t),l(e,Y,t),l(e,_t,t),c(J,e,t),l(e,Tt,t),l(e,q,t),l(e,bt,t),l(e,N,t),l(e,vt,t),l(e,Ct,t),l(e,xt,t),l(e,G,t),l(e,Ht,t),c(S,e,t),l(e,Lt,t),l(e,Z,t),l(e,yt,t),l(e,O,t),l(e,Pt,t),l(e,Mt,t),l(e,Et,t),l(e,W,t),l(e,At,t),c(D,e,t),l(e,zt,t),l(e,V,t),l(e,Ut,t),l(e,F,t),l(e,jt,t),l(e,Q,t),l(e,Bt,t),l(e,kt,t),l(e,Kt,t),l(e,X,t),l(e,Yt,t),c(ee,e,t),l(e,Jt,t),l(e,te,t),l(e,qt,t),l(e,ae,t),l(e,Nt,t),l(e,Gt,t),l(e,St,t),l(e,le,t),l(e,Zt,t),c(ie,e,t),l(e,Ot,t),l(e,me,t),l(e,Wt,t),l(e,de,t),l(e,Dt,t),l(e,oe,t),l(e,Vt,t),l(e,Ft,t),l(e,Qt,t),l(e,se,t),l(e,Xt,t),c(re,e,t),l(e,ea,t),l(e,ne,t),l(e,ta,t),l(e,ge,t),l(e,aa,t),l(e,ue,t),l(e,la,t),l(e,ia,t),l(e,ma,t),l(e,ce,t),l(e,da,t),c(pe,e,t),l(e,oa,t),l(e,fe,t),l(e,sa,t),l(e,we,t),l(e,ra,t),l(e,he,t),l(e,na,t),c(Re,e,t),l(e,ga,t),l(e,Ie,t),l(e,ua,t),l(e,ca,t),l(e,pa,t),l(e,$e,t),l(e,fa,t),c(_e,e,t),l(e,wa,t),l(e,Te,t),l(e,ha,t),l(e,be,t),l(e,Ra,t),l(e,ve,t),l(e,Ia,t),l(e,$a,t),l(e,_a,t),l(e,Ce,t),l(e,Ta,t),c(xe,e,t),l(e,ba,t),l(e,He,t),l(e,va,t),l(e,Le,t),l(e,Ca,t),l(e,ye,t),l(e,xa,t),l(e,Ha,t),l(e,La,t),l(e,Pe,t),l(e,ya,t),c(Me,e,t),l(e,Pa,t),l(e,Ee,t),l(e,Ma,t),l(e,Ae,t),l(e,Ea,t),l(e,ze,t),l(e,Aa,t),l(e,za,t),l(e,Ua,t),l(e,Ue,t),l(e,ja,t),c(je,e,t),l(e,Ba,t),l(e,Be,t),l(e,ka,t),l(e,ke,t),l(e,Ka,t),l(e,Ya,t),l(e,Ja,t),c(Ke,e,t),l(e,qa,t),l(e,Je,t),Na=!0},p:Al,i(e){Na||(p($.$$.fragment,e),p(C.$$.fragment,e),p(y.$$.fragment,e),p(A.$$.fragment,e),p(B.$$.fragment,e),p(J.$$.fragment,e),p(S.$$.fragment,e),p(D.$$.fragment,e),p(ee.$$.fragment,e),p(ie.$$.fragment,e),p(re.$$.fragment,e),p(pe.$$.fragment,e),p(Re.$$.fragment,e),p(_e.$$.fragment,e),p(xe.$$.fragment,e),p(Me.$$.fragment,e),p(je.$$.fragment,e),p(Ke.$$.fragment,e),Na=!0)},o(e){f($.$$.fragment,e),f(C.$$.fragment,e),f(y.$$.fragment,e),f(A.$$.fragment,e),f(B.$$.fragment,e),f(J.$$.fragment,e),f(S.$$.fragment,e),f(D.$$.fragment,e),f(ee.$$.fragment,e),f(ie.$$.fragment,e),f(re.$$.fragment,e),f(pe.$$.fragment,e),f(Re.$$.fragment,e),f(_e.$$.fragment,e),f(xe.$$.fragment,e),f(Me.$$.fragment,e),f(je.$$.fragment,e),f(Ke.$$.fragment,e),Na=!1},d(e){e&&(a(qe),a(Ye),a(Ne),a(I),a(Ge),a(Se),a(_),a(Ze),a(T),a(Oe),a(b),a(We),a(De),a(Ve),a(v),a(Fe),a(Qe),a(x),a(Xe),a(H),a(et),a(tt),a(at),a(L),a(lt),a(it),a(P),a(mt),a(M),a(dt),a(ot),a(st),a(E),a(rt),a(nt),a(z),a(gt),a(U),a(ut),a(ct),a(pt),a(j),a(ft),a(wt),a(k),a(ht),a(K),a(Rt),a(It),a($t),a(Y),a(_t),a(Tt),a(q),a(bt),a(N),a(vt),a(Ct),a(xt),a(G),a(Ht),a(Lt),a(Z),a(yt),a(O),a(Pt),a(Mt),a(Et),a(W),a(At),a(zt),a(V),a(Ut),a(F),a(jt),a(Q),a(Bt),a(kt),a(Kt),a(X),a(Yt),a(Jt),a(te),a(qt),a(ae),a(Nt),a(Gt),a(St),a(le),a(Zt),a(Ot),a(me),a(Wt),a(de),a(Dt),a(oe),a(Vt),a(Ft),a(Qt),a(se),a(Xt),a(ea),a(ne),a(ta),a(ge),a(aa),a(ue),a(la),a(ia),a(ma),a(ce),a(da),a(oa),a(fe),a(sa),a(we),a(ra),a(he),a(na),a(ga),a(Ie),a(ua),a(ca),a(pa),a($e),a(fa),a(wa),a(Te),a(ha),a(be),a(Ra),a(ve),a(Ia),a($a),a(_a),a(Ce),a(Ta),a(ba),a(He),a(va),a(Le),a(Ca),a(ye),a(xa),a(Ha),a(La),a(Pe),a(ya),a(Pa),a(Ee),a(Ma),a(Ae),a(Ea),a(ze),a(Aa),a(za),a(Ua),a(Ue),a(ja),a(Ba),a(Be),a(ka),a(ke),a(Ka),a(Ya),a(Ja),a(qa),a(Je)),a(R),w($,e),w(C,e),w(y,e),w(A,e),w(B,e),w(J,e),w(S,e),w(D,e),w(ee,e),w(ie,e),w(re,e),w(pe,e),w(Re,e),w(_e,e),w(xe,e),w(Me,e),w(je,e),w(Ke,e)}}}const ql='{"title":"utils/image","local":"utilsimage","sections":[{"title":"utils/image.RawImage","local":"utilsimagerawimage","sections":[{"title":"new RawImage(data, width, height, channels)","local":"new-rawimagedata-width-height-channels","sections":[],"depth":3},{"title":"rawImage.size ⇒ <code> * </code>","local":"rawimagesize--code--code","sections":[],"depth":3},{"title":"rawImage.grayscale() ⇒ <code> RawImage </code>","local":"rawimagegrayscale--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.rgb() ⇒ <code> RawImage </code>","local":"rawimagergb--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.rgba() ⇒ <code> RawImage </code>","local":"rawimagergba--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.resize(width, height, options) ⇒ <code> Promise. < RawImage > </code>","local":"rawimageresizewidth-height-options--code-promise--rawimage--code","sections":[],"depth":3},{"title":"rawImage.clone() ⇒ <code> RawImage </code>","local":"rawimageclone--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.convert(numChannels) ⇒ <code> RawImage </code>","local":"rawimageconvertnumchannels--code-rawimage-code","sections":[],"depth":3},{"title":"rawImage.save(path)","local":"rawimagesavepath","sections":[],"depth":3},{"title":"RawImage.read(input) ⇒ <code> * </code>","local":"rawimagereadinput--code--code","sections":[],"depth":3},{"title":"RawImage.fromURL(url) ⇒ <code> Promise. < RawImage > </code>","local":"rawimagefromurlurl--code-promise--rawimage--code","sections":[],"depth":3},{"title":"RawImage.fromBlob(blob) ⇒ <code> Promise. < RawImage > </code>","local":"rawimagefromblobblob--code-promise--rawimage--code","sections":[],"depth":3},{"title":"RawImage.fromTensor(tensor)","local":"rawimagefromtensortensor","sections":[],"depth":3}],"depth":2},{"title":"utils/image~CONTENT_TYPE_MAP","local":"utilsimagecontenttypemap","sections":[],"depth":2}],"depth":1}';function Nl(Ga){return zl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Wl extends Ul{constructor(R){super(),jl(this,R,Nl,Jl,El,{})}}export{Wl as component};
